StringIO.StringIO is incompatible for python 3

Bug #1280100 reported by Tan Lin on 2014-02-14
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Yongli He
Glance
Undecided
Tan Lin
Ironic
Fix Released
Undecided
Tan Lin
OpenStack Compute (nova)
Undecided
Tan Lin
OpenStack DBaaS (Trove)
Low
Yongli He
OpenStack Dashboard (Horizon)
Undecided
Yongli He
neutron
Low
Yongli He
oslo-incubator
Undecided
Tan Lin
python-neutronclient
Undecided
Tan Lin
python-openstackclient
Invalid
Undecided
Terry Howe
python-tuskarclient
Medium
Petr Blaho
tempest
Undecided
Harshada Mangesh Kakad
tuskar
Medium
Tan Lin
tuskar-ui
Medium
Tan Lin

Bug Description

Import StringIO
StringIO.StringIO()

should be :
Import six
six.StringIO() or six.BytesIO()

StringIO works for unicode
BytesIO works for bytes

For Python3 compatible.

Tan Lin (tan-lin-good) on 2014-02-14
Changed in neutron:
assignee: nobody → lintan (lintan)
Changed in ceilometer:
assignee: nobody → lintan (lintan)
Changed in cinder:
assignee: nobody → lintan (lintan)
Changed in glance:
assignee: nobody → lintan (lintan)
Changed in heat:
assignee: nobody → lintan (lintan)
Changed in heat-cfnclient:
assignee: nobody → lintan (lintan)
Changed in gantt:
assignee: nobody → lintan (lintan)
Changed in heat-cfntools:
assignee: nobody → lintan (lintan)
Changed in config:
assignee: nobody → lintan (lintan)
Changed in horizon:
assignee: nobody → lintan (lintan)
Changed in ironic:
assignee: nobody → lintan (lintan)
Tan Lin (tan-lin-good) on 2014-02-14
Changed in marconi:
assignee: nobody → lintan (lintan)
Changed in nova:
assignee: nobody → lintan (lintan)
Changed in oslo:
assignee: nobody → lintan (lintan)
Changed in python-glanceclient:
assignee: nobody → lintan (lintan)
Changed in python-neutronclient:
assignee: nobody → lintan (lintan)
Tan Lin (tan-lin-good) on 2014-02-14
Changed in python-openstackclient:
assignee: nobody → lintan (lintan)
Changed in python-tuskarclient:
assignee: nobody → lintan (lintan)
Changed in savanna:
assignee: nobody → lintan (lintan)
Changed in storyboard:
assignee: nobody → lintan (lintan)
Changed in tempest:
assignee: nobody → lintan (lintan)
Changed in trove:
assignee: nobody → lintan (lintan)
Changed in tuskar:
assignee: nobody → lintan (lintan)
Tan Lin (tan-lin-good) on 2014-02-14
Changed in tuskar-ui:
assignee: nobody → lintan (lintan)
Changed in zuul:
assignee: nobody → lintan (lintan)
Changed in tuskar:
importance: Undecided → Medium
status: New → Triaged
Changed in tuskar-ui:
importance: Undecided → Medium
status: New → Triaged
Terry Howe (thowe-g) wrote :

OSC does not make use of StringIO

Changed in python-openstackclient:
assignee: lintan (lintan) → Terry Howe (thowe-g)
status: New → Invalid
Henry Gessau (gessau) wrote :

Neutron client does not use StringIO.

(It does use cStringIO, but a separate bug should be opened for that.)

Changed in python-neutronclient:
status: New → Invalid
Tan Lin (tan-lin-good) on 2014-02-17
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/73896

Changed in ironic:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73902

Changed in neutron:
assignee: lintan (lintan) → Yongli He (yongli-he)
status: New → In Progress
Changed in tempest:
assignee: lintan (lintan) → Yongli He (yongli-he)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73908

Changed in cinder:
assignee: lintan (lintan) → Yongli He (yongli-he)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/73910

Changed in horizon:
assignee: lintan (lintan) → Yongli He (yongli-he)
status: New → In Progress
Changed in trove:
assignee: lintan (lintan) → Yongli He (yongli-he)
status: New → In Progress
Petr Blaho (pblaho) on 2014-02-18
Changed in python-tuskarclient:
assignee: lintan (lintan) → Petr Blaho (pblaho)
importance: Undecided → Medium
status: New → Triaged

Fix proposed to branch: master
Review: https://review.openstack.org/74321

Changed in python-tuskarclient:
status: Triaged → In Progress
Petr Blaho (pblaho) wrote :

No occurrence of StringIO or ByteIO in code.

Changed in tuskar:
status: Triaged → Invalid
Petr Blaho (pblaho) on 2014-02-18
Changed in tuskar-ui:
status: Triaged → Invalid

Reviewed: https://review.openstack.org/74321
Committed: https://git.openstack.org/cgit/openstack/python-tuskarclient/commit/?id=2da242b5e624aca59b402839a6cad678f2d54a59
Submitter: Jenkins
Branch: master

commit 2da242b5e624aca59b402839a6cad678f2d54a59
Author: Petr Blaho <email address hidden>
Date: Tue Feb 18 11:34:18 2014 +0100

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: Iba4087cb7a3dd6d1b24744cda0bfa5f45c94f386
    Closes-Bug: #1280100

Changed in python-tuskarclient:
status: In Progress → Fix Committed
Tan Lin (tan-lin-good) on 2014-02-19
no longer affects: ceilometer
no longer affects: zuul
no longer affects: config
no longer affects: gantt
no longer affects: savanna
no longer affects: python-glanceclient
no longer affects: storyboard
Changed in glance:
status: New → In Progress
Changed in nova:
status: New → In Progress
Tan Lin (tan-lin-good) on 2014-02-19
no longer affects: heat
no longer affects: heat-cfnclient
no longer affects: heat-cfntools
no longer affects: marconi
Joe Gordon (jogo) wrote :

nova isn't python 3 compatible yet anyway, there is no need to change this until we have all the dependencies working in python3.

Changed in nova:
status: In Progress → Invalid

Fix proposed to branch: master
Review: https://review.openstack.org/74575

Changed in oslo:
status: New → In Progress

Reviewed: https://review.openstack.org/74575
Committed: https://git.openstack.org/cgit/openstack/oslo-incubator/commit/?id=750247a9daf82ff91544461ece6d15242c9f0eb5
Submitter: Jenkins
Branch: master

commit 750247a9daf82ff91544461ece6d15242c9f0eb5
Author: tanlin <email address hidden>
Date: Wed Feb 19 11:09:29 2014 +0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: Id7f4c3f701275229714f45296eac9f7f34ff6ece
    Partial-Bug: #1280100

Changed in oslo:
milestone: none → icehouse-3
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/73902
Committed: https://git.openstack.org/cgit/openstack/neutron/commit/?id=9bd6754b573e362a11d3536873ae818e3e910cb6
Submitter: Jenkins
Branch: master

commit 9bd6754b573e362a11d3536873ae818e3e910cb6
Author: He Yongli <email address hidden>
Date: Mon Feb 17 10:28:03 2014 +0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: I3892098e31d8d6984d58136110aae653dc4047ab
    Closes-Bug: #1280100

Changed in neutron:
status: In Progress → Fix Committed
Changed in python-tuskarclient:
status: Fix Committed → Fix Released

Reviewed: https://review.openstack.org/73896
Committed: https://git.openstack.org/cgit/openstack/ironic/commit/?id=c85286b8824ede8d6d28230da513e504cb3ae1b8
Submitter: Jenkins
Branch: master

commit c85286b8824ede8d6d28230da513e504cb3ae1b8
Author: tanlin <email address hidden>
Date: Mon Feb 17 10:09:42 2014 +0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: I0d1f8a55c3bc41379077b46feb81931779b7ad45
    Partial-Bug: #1280100

Reviewed: https://review.openstack.org/73908
Committed: https://git.openstack.org/cgit/openstack/cinder/commit/?id=aa7dd439c580378b1ca2d647c7c2b0c32289b2f1
Submitter: Jenkins
Branch: master

commit aa7dd439c580378b1ca2d647c7c2b0c32289b2f1
Author: He Yongli <email address hidden>
Date: Mon Feb 17 12:42:33 2014 +0800

    Use six.StringIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: I5e40809b2347d4dbe031ba92dac4848b044d3af6
    Closes-Bug: #1280100

Changed in cinder:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/73915
Committed: https://git.openstack.org/cgit/openstack/glance/commit/?id=01903933dba6f5ae667487300b947e5c36f8b033
Submitter: Jenkins
Branch: master

commit 01903933dba6f5ae667487300b947e5c36f8b033
Author: He Yongli <email address hidden>
Date: Mon Feb 17 13:10:18 2014 +0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: I93e043c633e1de9e4dedcb0a313032403b6a70fb
    Closes-Bug: #1280100

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/73910
Committed: https://git.openstack.org/cgit/openstack/horizon/commit/?id=990f151cdc16af7ca81e0fc61231344c3b4d8ff2
Submitter: Jenkins
Branch: master

commit 990f151cdc16af7ca81e0fc61231344c3b4d8ff2
Author: He Yongli <email address hidden>
Date: Mon Feb 17 13:11:16 2014 +0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: I1d4db56dd082916879b851f2d9ac71d17c0db94f
    Closes-Bug: #1280100

Changed in horizon:
status: In Progress → Fix Committed
devananda (devananda) on 2014-03-04
Changed in ironic:
importance: Undecided → Wishlist
importance: Wishlist → Undecided
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-03-05
Changed in ironic:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in glance:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in cinder:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Changed in neutron:
importance: Undecided → Low
milestone: none → icehouse-3
Thierry Carrez (ttx) on 2014-03-05
Changed in horizon:
milestone: none → icehouse-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-05
Changed in neutron:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-03-06
Changed in oslo:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in oslo:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in cinder:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in horizon:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in glance:
milestone: icehouse-3 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in neutron:
milestone: icehouse-3 → 2014.1
Changed in trove:
importance: Undecided → Low

Reviewed: https://review.openstack.org/73911
Committed: https://git.openstack.org/cgit/openstack/trove/commit/?id=0077f4afc2cc23fc0e9682c950cffbaed1e9befc
Submitter: Jenkins
Branch: master

commit 0077f4afc2cc23fc0e9682c950cffbaed1e9befc
Author: He Yongli <email address hidden>
Date: Mon Feb 17 13:15:40 2014 +0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: Icffbbc8b1fcbf2003f7206530c4cd13fd376a59a
    Closes-Bug: #1280100

Changed in trove:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2014-06-11
Changed in trove:
status: Fix Committed → Fix Released
milestone: none → juno-1
Thierry Carrez (ttx) on 2014-10-16
Changed in trove:
milestone: juno-1 → 2014.2
Changed in tempest:
assignee: Yongli He (yongli-he) → Harshada Mangesh Kakad (harshada-kakad)

Reviewed: https://review.openstack.org/260644
Committed: https://git.openstack.org/cgit/openstack/tempest/commit/?id=b3ecf6534f41c14333a48703c0c61892d5868093
Submitter: Jenkins
Branch: master

commit b3ecf6534f41c14333a48703c0c61892d5868093
Author: Harshada Mangesh Kakad <email address hidden>
Date: Tue Dec 22 09:24:26 2015 -0800

    Use six.StringIO/BytesIO instead of StringIO.StringIO

    to keep Python 3.x compatibility, use six.StringIO/BytesIO to
    replace StringIO.StringIO

    StringIO works for unicode
    BytesIO works for bytes

    Change-Id: I063d62a4f005084f4088da403f348ad97656ad45
    Partial-Bug: #1280100

Ken'ichi Ohmichi (oomichi) wrote :

Tempest side is already fixed with the other commit.

Changed in tempest:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers